Bug 929189 - Review Request: python-flask-script - Scripting support for Flask
Summary: Review Request: python-flask-script - Scripting support for Flask
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bohuslav "Slavek" Kabrda
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-29 12:59 UTC by Robert Kuska
Modified: 2016-04-18 10:16 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-23 03:44:15 UTC
Type: ---
bkabrda: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Robert Kuska 2013-03-29 12:59:49 UTC
Spec URL: http://rkuska.fedorapeople.org/pkgs/flask-script/python-flask-script.spec
SRPM URL: http://rkuska.fedorapeople.org/pkgs/flask-script/python-flask-script-0.5.3-1.fc18.src.rpm
Description: The Flask-Script extension provides support for writing external scripts in Flask.This includes running a development server, a customized Python shell, scripts to set up your database, cronjobs, and other command-line tasks that belong outside the web application itself.
Fedora Account System Username: rkuska

Comment 1 Bohuslav "Slavek" Kabrda 2013-03-29 13:01:19 UTC
I'll take this for a review.

Comment 2 Bohuslav "Slavek" Kabrda 2013-04-02 07:28:20 UTC
- python_sitelib and python_sitearch definitions aren't needed any more, please remove them.
- "rm -rf $RPM_BUILD_ROOT" in %install is not needed either
- rpmlint reports a tiny problem about mixed spaces/tabs - certainly not a blocker but please fix it to silence rpmlint:
python-flask-script.src:21: W: mixed-use-of-spaces-and-tabs (spaces: line 21, tab: line 6)
- I don't think including the whole docs/ directory makes much sense. If look at its contents, these are sphinx [1] documentation sources, not a generated documentation. Therefore, I would suggest using sphinx to create html (cd docs && make html) and including the html directory in %docs (it will be something like docs/_build/html).
- PKG-INFO shouldn't be included in %docs, it's not intended to be a documentation file.

[1] http://sphinx-doc.org/

Comment 4 Bohuslav "Slavek" Kabrda 2013-04-02 13:37:57 UTC
Looks good now,

APPROVED.

Comment 5 Robert Kuska 2013-04-02 14:08:48 UTC
New Package SCM Request
=======================
Package Name: python-flask-script
Short Description: Scripting support for Flask
Owners: rkuska
Branches: f19
InitialCC:

Comment 6 Gwyn Ciesla 2013-04-02 14:15:32 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2013-04-03 12:21:08 UTC
python-flask-script-0.5.3-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-flask-script-0.5.3-2.fc19

Comment 8 Fedora Update System 2013-04-03 16:16:21 UTC
python-flask-script-0.5.3-2.fc19 has been pushed to the Fedora 19 testing repository.

Comment 9 Fedora Update System 2013-04-23 03:44:17 UTC
python-flask-script-0.5.3-2.fc19 has been pushed to the Fedora 19 stable repository.


Note You need to log in before you can comment on or make changes to this bug.